
attach "media.db" as old;
begin;

insert into media
(
	id         ,
	path       ,
	name       ,
	size       ,
	writetime  ,
	regtime    ,
	playtime   ,
	length     ,
	count      ,
	type       ,
	tag        ,
	comment    ,
	desc       ,
	yomi       ,
	roma       
)
select
	id         ,
	path       ,
	name       ,
	size       ,
	writetime  ,
	regtime    ,
	playtime   ,
	length     ,
	count      ,
	type       ,
	tag        ,
	comment    ,
	''         ,
	yomi       ,
	roma       
from old.media;

commit;
detach old;

update media set tag = replace(tag, '<thumb error>', '') where type not like '%/%';
update media set tag = replace(tag, '<thumb error>', '<scan error>');


